petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMPlexPartitionLabelInvert

Create a partition label of remote roots from a local root label

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexPartitionLabelInvert(DM dm, DMLabel rootLabel, PetscSF processSF, DMLabel leafLabel)

### Input Parameters

| dm | - The DM
| rootLabel | - DMLabel assinging ranks to local roots
| processSF | - A star forest mapping into the local index on each remote rank

### Output Parameter

| leafLabel | - DMLabel assinging ranks to remote roots

Note: The rootLabel defines a send pattern by mapping local points to remote target ranks. The resulting leafLabel is a receiver mapping of remote roots to their parent rank.

### See Also

DMPlexPartitionLabelCreateSF, DMPlexDistribute(), DMPlexCreateOverlap

### Level

developer

### Location

src/dm/impls/plex/plexpartition.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages